Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchMessagesFilter

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SearchMessagesFilter

Direct Known Subclasses:
  `TdApi.SearchMessagesFilterAnimation`, `TdApi.SearchMessagesFilterAudio`, `TdApi.SearchMessagesFilterCall`, `TdApi.SearchMessagesFilterChatPhoto`, `TdApi.SearchMessagesFilterDocument`, `TdApi.SearchMessagesFilterEmpty`, `TdApi.SearchMessagesFilterFailedToSend`, `TdApi.SearchMessagesFilterMention`, `TdApi.SearchMessagesFilterMissedCall`, `TdApi.SearchMessagesFilterPhoto`, `TdApi.SearchMessagesFilterPhotoAndVideo`, `TdApi.SearchMessagesFilterPinned`, `TdApi.SearchMessagesFilterUnreadMention`, `TdApi.SearchMessagesFilterUrl`, `TdApi.SearchMessagesFilterVideo`, `TdApi.SearchMessagesFilterVideoNote`, `TdApi.SearchMessagesFilterVoiceAndVideoNote`, `TdApi.SearchMessagesFilterVoiceNote`

Enclosing class:
  TdApi

public abstract static class TdApi.SearchMessagesFilter extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`SearchMessagesFilter()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SearchMessagesFilter

public SearchMessagesFilter()